Module java.base
Package java.nio.file

# Class ProviderNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.nio.file.ProviderNotFoundException

All Implemented Interfaces:
  `Serializable`

public class ProviderNotFoundException extends RuntimeException
Runtime exception thrown when a provider of the required type cannot be found.

Since:
  1.7
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ProviderNotFoundException()`
Constructs an instance of this class.
`ProviderNotFoundException(String msg)`
Constructs an instance of this class.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProviderNotFoundException

public ProviderNotFoundException()
Constructs an instance of this class.

### ProviderNotFoundException

public ProviderNotFoundException(String msg)
Constructs an instance of this class.

Parameters:
  `msg` - the detail message